> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://docs.postnuvia.com/llms.txt.

# List Webhooks

GET https://api.postnuvia.com/v0/webhooks

**CLI:**
```bash
postnuvia webhooks list
```

Reference: https://docs.postnuvia.com/api-reference/webhooks/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.postnuvia.com` (prod, default)
- `https://x402.api.postnuvia.com` (prod-x402)
- `https://mpp.api.postnuvia.com` (prod-mpp)
- `https://api.postnuvia.eu` (eu-prod)

## Request

### Query parameters

- `limit` (integer, optional) — Limit of number of items returned.
- `page_token` (string, optional) — Page token for pagination.
- `ascending` (boolean, optional) — Sort in ascending temporal order.

## Response

### 200

- `count` (integer, required) — Number of items returned.
- `webhooks` (list of Webhook, required) — Ordered by `created_at` descending.
- `limit` (integer, optional) — Limit of number of items returned.
- `next_page_token` (string, optional) — Page token for pagination.

## Types

### Webhook

- `webhook_id` (string, required) — ID of webhook.
- `url` (string, required) — URL of webhook endpoint.
- `secret` (string, required) — Secret for webhook signature verification.
- `enabled` (boolean, required) — Webhook is enabled.
- `updated_at` (datetime, required) — Time at which webhook was last updated.
- `created_at` (datetime, required) — Time at which webhook was created.
- `event_types` (list of enum, optional) — Event types for which to send events.
  - Allowed values: `message.received`, `message.received.spam`, `message.received.blocked`, `message.received.unauthenticated`, `message.sent`, `message.delivered`, `message.bounced`, `message.complained`, `message.rejected`, `message.opened`, `domain.verified`, `calendar.event.created`, `calendar.event.updated`, `calendar.event.deleted`, `calendar.event.responded`, `calendar.event.starting`, `calendar.event.ending`
- `pod_ids` (list of string, optional) — Pods for which to send events. Maximum 10 per webhook.
- `inbox_ids` (list of string, optional) — Inboxes for which to send events. Maximum 10 per webhook.
- `pod_id` (string, optional) — ID of the pod the webhook belongs to: the pod it was created in, or the pod of the inbox it belongs to. Absent for an organization webhook and on some inbox webhooks. This is not the list of pods it receives events for; see `pod_ids`.
- `inbox_id` (string, optional) — ID of the inbox the webhook belongs to, if it was created for an inbox. This is not the list of inboxes it receives events for; see `inbox_ids`.
- `client_id` (string, optional) — Client ID of webhook.

## Examples

**Response**

```json
{
  "count": 1,
  "webhooks": [
    {
      "webhook_id": "webhook_id",
      "url": "url",
      "secret": "secret",
      "enabled": true,
      "updated_at": "2024-01-15T09:30:00Z",
      "created_at": "2024-01-15T09:30:00Z",
      "event_types": [
        "message.received",
        "message.received"
      ],
      "pod_ids": [
        "pod_ids",
        "pod_ids"
      ],
      "inbox_ids": [
        "inbox_ids",
        "inbox_ids"
      ],
      "pod_id": "pod_id",
      "inbox_id": "inbox_id",
      "client_id": "client_id"
    },
    {
      "webhook_id": "webhook_id",
      "url": "url",
      "secret": "secret",
      "enabled": true,
      "updated_at": "2024-01-15T09:30:00Z",
      "created_at": "2024-01-15T09:30:00Z",
      "event_types": [
        "message.received",
        "message.received"
      ],
      "pod_ids": [
        "pod_ids",
        "pod_ids"
      ],
      "inbox_ids": [
        "inbox_ids",
        "inbox_ids"
      ],
      "pod_id": "pod_id",
      "inbox_id": "inbox_id",
      "client_id": "client_id"
    }
  ],
  "limit": 1,
  "next_page_token": "next_page_token"
}
```

**SDK Code**

```python
import requests

url = "https://api.postnuvia.com/v0/webhooks"

headers = {"Authorization": "Bearer <api_key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.postnuvia.com/v0/webhooks';
const options = {method: 'GET', headers: {Authorization: 'Bearer <api_key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postnuvia.com/v0/webhooks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <api_key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.postnuvia.com/v0/webhooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <api_key>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postnuvia.com/v0/webhooks")
  .header("Authorization", "Bearer <api_key>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postnuvia.com/v0/webhooks', [
  'headers' => [
    'Authorization' => 'Bearer <api_key>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.postnuvia.com/v0/webhooks");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <api_key>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <api_key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postnuvia.com/v0/webhooks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```